更新 deviceEnrollmentWindowsHelloForBusinessConfiguration
命名空间:microsoft.graph
注意: 适用于 Intune 的 Microsoft Graph API 需要适用于租户的 活动 Intune 许可证。
更新 deviceEnrollmentWindowsHelloForBusinessConfiguration 对象的属性。
先决条件
要调用此 API,需要以下权限之一。要了解详细信息,包括如何选择权限的信息,请参阅权限。
| 权限类型 | 权限(从最低特权到最高特权) |
|---|---|
| 委派(工作或学校帐户) | DeviceManagementServiceConfig.ReadWrite.All |
| 委派(个人 Microsoft 帐户) | 不支持。 |
| 应用程序 | DeviceManagementServiceConfig.ReadWrite.All |
HTTP 请求
PATCH /deviceManagement/deviceEnrollmentConfigurations/{deviceEnrollmentConfigurationId}
请求标头
| 标头 | 值 |
|---|---|
| Authorization | Bearer <token>。必需。 |
| 接受 | application/json |
请求正文
在请求正文中,提供 deviceEnrollmentWindowsHelloForBusinessConfiguration 对象的 JSON 表示形式。
下表显示创建 deviceEnrollmentWindowsHelloForBusinessConfiguration 时所需的属性。
| 属性 | 类型 | 说明 |
|---|---|---|
| id | String | 从 deviceEnrollmentConfiguration 继承的帐户的唯一标识符 |
| displayName | 字符串 | 从 deviceEnrollmentConfiguration 继承的设备注册配置的显示名称 |
| 说明 | 字符串 | 从 deviceEnrollmentConfiguration 继承的设备注册配置的说明 |
| priority | Int32 | 当用户存在于分配了注册配置的多个组中时,将使用优先级。 用户仅受优先级最低的配置的约束。 继承自 deviceEnrollmentConfiguration |
| createdDateTime | DateTimeOffset | 在 UTC 中创建的设备注册配置的日期时间继承自 deviceEnrollmentConfiguration |
| lastModifiedDateTime | DateTimeOffset | 从 deviceEnrollmentConfiguration 继承的设备注册配置的 UTC 中上次修改的日期时间 |
| version | Int32 | 从 deviceEnrollmentConfiguration 继承的设备注册配置的版本 |
| pinMinimumLength | Int32 | 控制业务 PIN Windows Hello所需的最小字符数。 此值必须介于 4 和 127 之间,包括,并且小于或等于为最大 PIN 设置的值。 |
| pinMaximumLength | Int32 | 控制业务 PIN Windows Hello允许的最大字符数。 此值必须介于 4 和 127 之间,包括在内。 此值必须大于或等于为最小 PIN 设置的值。 |
| pinUppercaseCharactersUsage | windowsHelloForBusinessPinUsage | 控制在业务 PIN Windows Hello中使用大写字母的功能。 允许使用大写字母 () ,而“必需”则确保它们存在。 如果设置为“不允许”,则不允许使用大写字母。 可取值为:allowed、required、disallowed。 |
| pinLowercaseCharactersUsage | windowsHelloForBusinessPinUsage | 控制在 Windows Hello for Business PIN 中使用小写字母的功能。 允许使用小写字母 () ,而“必需”则确保它们存在。 如果设置为“不允许”,则不允许使用小写字母。 可取值为:allowed、required、disallowed。 |
| pinSpecialCharactersUsage | windowsHelloForBusinessPinUsage | 控制在 Windows Hello for Business PIN 中使用特殊字符的功能。 允许使用特殊字符 () ,而“必需”则确保它们存在。 如果设置为“不允许”,则不允许使用特殊字符 () 。 可取值为:allowed、required、disallowed。 |
| state | 支持 | 控制是否允许为 Windows Hello for Business 配置设备。 如果设置为已禁用,则用户无法为业务预配Windows Hello(如果需要,则在已加入 Azure Active Directory 的移动电话上除外)。 如果设置为“未配置”,Intune 不会重写客户端默认值。 可取值为:notConfigured、enabled、disabled。 |
| securityDeviceRequired | Boolean | 控制是否需要受信任的平台模块 (TPM) 来预配业务Windows Hello。 TPM 提供额外的安全优势,因为存储在它上的数据不能在其他设备上使用。 如果设置为 False,即使没有可用的 TPM,所有设备都可以为 Business 预配Windows Hello。 |
| unlockWithBiometricsEnabled | Boolean | 控制使用生物识别手势(如人脸和指纹)作为业务 PIN Windows Hello的替代方法。 如果设置为 False,则不允许使用生物识别手势。 如果发生故障,用户仍必须将 PIN 配置为备份。 |
| remotePassportEnabled | Boolean | 控制远程Windows Hello商业版的使用。 适用于企业的远程Windows Hello使可移植的已注册设备能够用作桌面身份验证的配套设备。 桌面必须已加入 Azure AD,配套设备必须具有适用于 Business PIN 的Windows Hello。 |
| pinPreviousBlockCount | Int32 | 控制阻止用户使用过去 PIN 的功能。 这必须设置在 0 到 50 之间,包括在内,并且该计数中包含用户的当前 PIN。 如果设置为 0,则不会存储以前的 PIN。 PIN 历史记录不会通过 PIN 重置来保留。 |
| pinExpirationInDays | Int32 | 控制在系统要求用户更改 PIN 之前可以使用 PIN 的时间段 (天) 。 这必须设置在 0 到 730 之间,包括在内。 如果设置为 0,则用户的 PIN 永远不会过期 |
| enhancedBiometricsState | 支持 | 控制在支持它的设备上使用防欺骗功能进行面部识别的能力。 如果设置为禁用,则不允许使用反欺骗功能。 如果设置为“未配置”,用户可以选择是否要使用反欺骗。 可取值为:notConfigured、enabled、disabled。 |
响应
如果成功,此方法将在响应正文中返回 200 OK 响应代码和更新的 deviceEnrollmentWindowsHelloForBusinessConfiguration 对象。
示例
请求
下面是一个请求示例。
PATCH https://graph.microsoft.com/v1.0/deviceManagement/deviceEnrollmentConfigurations/{deviceEnrollmentConfigurationId}
Content-type: application/json
Content-length: 629
{
"@odata.type": "#microsoft.graph.deviceEnrollmentWindowsHelloForBusinessConfiguration",
"displayName": "Display Name value",
"description": "Description value",
"priority": 8,
"version": 7,
"pinMinimumLength": 0,
"pinMaximumLength": 0,
"pinUppercaseCharactersUsage": "required",
"pinLowercaseCharactersUsage": "required",
"pinSpecialCharactersUsage": "required",
"state": "enabled",
"securityDeviceRequired": true,
"unlockWithBiometricsEnabled": true,
"remotePassportEnabled": true,
"pinPreviousBlockCount": 5,
"pinExpirationInDays": 3,
"enhancedBiometricsState": "enabled"
}
响应
下面是一个响应示例。注意:为了简单起见,可能会将此处所示的响应对象截断。将从实际调用中返回所有属性。
HTTP/1.1 200 OK
Content-Type: application/json
Content-Length: 801
{
"@odata.type": "#microsoft.graph.deviceEnrollmentWindowsHelloForBusinessConfiguration",
"id": "3068e0cd-e0cd-3068-cde0-6830cde06830",
"displayName": "Display Name value",
"description": "Description value",
"priority": 8,
"createdDateTime": "2017-01-01T00:02:43.5775965-08:00",
"lastModifiedDateTime": "2017-01-01T00:00:35.1329464-08:00",
"version": 7,
"pinMinimumLength": 0,
"pinMaximumLength": 0,
"pinUppercaseCharactersUsage": "required",
"pinLowercaseCharactersUsage": "required",
"pinSpecialCharactersUsage": "required",
"state": "enabled",
"securityDeviceRequired": true,
"unlockWithBiometricsEnabled": true,
"remotePassportEnabled": true,
"pinPreviousBlockCount": 5,
"pinExpirationInDays": 3,
"enhancedBiometricsState": "enabled"
}
反馈
提交和查看相关反馈